from backend.schemas.main_model import MainModel

class HouseBase(MainModel):
  pass

class AreaBase(MainModel):
  pass

class AreaCreate(AreaBase):
  name: str
  desc: str

class HouseCreate(HouseBase):
  icon: str
  name: str
  address: str
  areas: list[AreaCreate]
